Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std
Class LinkMarkup

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.LinkMarkup

public class LinkMarkup
extends Behavior

For plain Jane document formats without hyperlinks, scan text looking for patterns to make into links, such as "protocol://host.domain", "www.host.domain", "ftp.host.domain", "user@host.domain". Manual pages not referred to much outside of other man pages, so that scanning left with that media adaptor. Better to be conservative and fast than exact, as also have alt-button-on-word for dynamic determination of a link type. Not necessary as can always treat any text as some link with the LinkMe behavior.

LATER: use regexp, load patterns from hub (then easy to inclue man pages or not), look for email and USENET quoted text.

Version:
  $Revision: 1.4 $ $Date: 2002/05/13 05:09:42 $
See Also:
  `LinkMe`

Field Summary
`static java.lang.String` | `MSG_LINKSCAN` Scan for implicit links.
`static java.lang.String` | `MSG_SET_ACTIVE` Sets active state on/off.
`static java.util.regex.Pattern` | `PATTERN`
`static java.lang.String` | `PREF_AUTO` Boolean.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`LinkMarkup()`

Method Summary
`void` | `buildAfter(Document doc)` Traverses all behaviors from lowest to highest priority, during which tweaks hack their content into the tree,
`boolean` | `isActive()`
`void` | `scan()`
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Semantic events: toggleLinkScan, closeDocument cleans up link list.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` Add entry to View menu.
`void` | `setActive(boolean active)`

Methods inherited from class multivalent.Behavior
`buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_LINKSCAN

    public static final java.lang.String MSG_LINKSCAN

  Scan for implicit links.

  `"linkScan"`: `arg=` `HashMap` attributes, `in=` `INode` root of tree, `out=`unused.

  See Also:
    Constant Field Values

### MSG_SET_ACTIVE

    public static final java.lang.String MSG_SET_ACTIVE

  Sets active state on/off.

  `"linkScanSetActive"`: `arg=` `String` or `Boolean` or `null` to toggle.

  See Also:
    Constant Field Values

### PREF_AUTO

    public static final java.lang.String PREF_AUTO

  Boolean.

  See Also:
    Constant Field Values

### PATTERN

    public static final java.util.regex.Pattern PATTERN

Constructor Detail

### LinkMarkup

    public LinkMarkup()

Method Detail

### isActive

    public boolean isActive()

### scan

    public void scan()

### setActive

    public void setActive(boolean active)

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  Add entry to View menu.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Semantic events: toggleLinkScan, closeDocument cleans up link list.

  Overrides:
    `semanticEventAfter` in class `Behavior`

### buildAfter

    public void buildAfter(Document doc)

  Description copied from class: `Behavior`
  Traverses all behaviors from lowest to highest priority, during which tweaks hack their content into the tree,

  Overrides:
    `buildAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD